scala.collection.jcl.SortedSet
class Filter

[source: `scala/collection/jcl/SortedSet.scala`]

`protected` `class` Filter(p : (A) => Boolean)
  `extends` Filter `with` SortedSet[A]

  Base implementation of a filtered collection

Direct Known Subclasses:
  SortedSet.Range

Method Summary
`def` | compare (a0 : A, a1 : A) : Int Comparison function that orders keys.
`override def` | projection : Projection returns a facade that can be used to call non-strict `filter`, `map`, and `flatMap` methods that build projections of the collection.

Methods inherited from SortedSet
keySet, first, subsetOf, hasAll, last, rangeImpl

Methods inherited from Sorted
to

Methods inherited from Ranged
from, until, range

Methods inherited from Sorted
hasAll

Methods inherited from Filter
retain

Methods inherited from Set
++, --, +, -, isEmpty, contains, clear, transform

Methods inherited from Set
update, +=, ++=, ++=, +, ++, incl, -=, --=, --=, -, --, excl, intersect, <<, clone, readOnly

Methods inherited from Set
apply, equals, hashCode, toArray

Methods inherited from Function1
toString, compose, andThen

Methods inherited from Filter
add, has, remove, elements, size

Methods inherited from Collection
addAll, -=, +=

Methods inherited from MutableIterable
removeAll, retainAll, size0

Methods inherited from Collection
stringPrefix

Methods inherited from Iterable
concat, ++, map, flatMap, filter, takeWhile, dropWhile, take, drop, foreach, forall, exists, find, findIndexOf, indexOf, foldLeft, foldRight, /:, :\, reduceLeft, reduceRight, copyToBuffer, sameElements, toList, mkString, mkString, addString, addString, copyToArray, hasDefiniteSize

Methods inherited from AnyRef
getClass, notify, notifyAll, wait, wait, wait, finalize, ==, !=, eq, ne, synchronized

Methods inherited from Any
==, !=, isInstanceOf, asInstanceOf

Class Summary
`trait` | Projection `extends` Projection `with` Projection

Method Details

`` `def` compare(a0 : A, a1 : A) : Int

  Comparison function that orders keys.

Overrides
  SortedSet.compare

`override` `def` projection : Projection

  returns a facade that can be used to call non-strict `filter`, `map`, and `flatMap` methods that build projections of the collection.

Overrides
  Filter.projection, SortedSet.projection